PAPI_event_code_to_name(3)

NAME
PAPI_event_code_to_name - Convert a numeric hardware event code to a name.

SYNOPSIS

Detailed Description

C Interface:
    #include <papi.h>
    int PAPI_event_code_to_name( int EventCode, char * EventName );

PAPI_event_code_to_name is used to translate a 32-bit integer PAPI event code into an ASCII PAPI event name. Either Preset event codes or Native event codes can be passed to this routine. Native event codes and names differ from platform to platform.

Parameters
    EventCode The numeric code for the event.
    *EventName A string containing the event name as listed in PAPI_presets or discussed in PAPI_native.

Return values
    PAPI_EINVAL One or more of the arguments is invalid.
    PAPI_ENOTPRESET The hardware event specified is not a valid PAPI preset.
    PAPI_ENOEVNT The hardware event is not available on the underlying hardware.

Examples:

    int EventCode, EventSet = PAPI_NULL;
    int Event, number;
    char EventCodeStr[PAPI_MAX_STR_LEN];
    // Create the EventSet
    if ( PAPI_create_eventset( &EventSet ) != PAPI_OK )
    handle_error( 1 );
    // Add Total Instructions Executed to our EventSet
    if ( PAPI_add_event( EventSet, PAPI_TOT_INS ) != PAPI_OK )
    handle_error( 1 );
    number = 1;
    if ( PAPI_list_events( EventSet, &Event, &number ) != PAPI_OK )
    handle_error(1);
    // Convert integer code to name string
    if ( PAPI_event_code_to_name( Event, EventCodeStr ) != PAPI_OK )
    handle_error( 1 );
    printf( "Event Name: %s\n", EventCodeStr );

See also
    PAPI_event_name_to_code

    PAPI_remove_event

    PAPI_get_event_info

    PAPI_enum_event

    PAPI_add_event

    PAPI_presets

    PAPI_native

Author

Generated automatically by Doxygen for PAPI from the source code.